// Copyright 2024 Mathias Bynens. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
author: Mathias Bynens
esid: sec-names-and-keywords
description: |
  Test that Unicode v11.0.0 ID_Start characters are accepted as
  identifier start characters in escaped form, i.e.
  - \uXXXX or \u{XXXX} for BMP symbols
  - \u{XXXXXX} for astral symbols
info: |
  Generated by https://github.com/mathiasbynens/caniunicode
---*/

var \u0560;
var \u0588;
var \u05EF;
var \u1878;
var \u1C90;
var \u1C91;
var \u1C92;
var \u1C93;
var \u1C94;
var \u1C95;
var \u1C96;
var \u1C97;
var \u1C98;
var \u1C99;
var \u1C9A;
var \u1C9B;
var \u1C9C;
var \u1C9D;
var \u1C9E;
var \u1C9F;
var \u1CA0;
var \u1CA1;
var \u1CA2;
var \u1CA3;
var \u1CA4;
var \u1CA5;
var \u1CA6;
var \u1CA7;
var \u1CA8;
var \u1CA9;
var \u1CAA;
var \u1CAB;
var \u1CAC;
var \u1CAD;
var \u1CAE;
var \u1CAF;
var \u1CB0;
var \u1CB1;
var \u1CB2;
var \u1CB3;
var \u1CB4;
var \u1CB5;
var \u1CB6;
var \u1CB7;
var \u1CB8;
var \u1CB9;
var \u1CBA;
var \u1CBD;
var \u1CBE;
var \u1CBF;
var \u312F;
var \u9FEB;
var \u9FEC;
var \u9FED;
var \u9FEE;
var \u9FEF;
var \uA7AF;
var \uA7B8;
var \uA7B9;
var \uA8FE;
var \u{10A34};
var \u{10A35};
var \u{10D00};
var \u{10D01};
var \u{10D02};
var \u{10D03};
var \u{10D04};
var \u{10D05};
var \u{10D06};
var \u{10D07};
var \u{10D08};
var \u{10D09};
var \u{10D0A};
var \u{10D0B};
var \u{10D0C};
var \u{10D0D};
var \u{10D0E};
var \u{10D0F};
var \u{10D10};
var \u{10D11};
var \u{10D12};
var \u{10D13};
var \u{10D14};
var \u{10D15};
var \u{10D16};
var \u{10D17};
var \u{10D18};
var \u{10D19};
var \u{10D1A};
var \u{10D1B};
var \u{10D1C};
var \u{10D1D};
var \u{10D1E};
var \u{10D1F};
var \u{10D20};
var \u{10D21};
var \u{10D22};
var \u{10D23};
var \u{10F00};
var \u{10F01};
var \u{10F02};
var \u{10F03};
var \u{10F04};
var \u{10F05};
var \u{10F06};
var \u{10F07};
var \u{10F08};
var \u{10F09};
var \u{10F0A};
var \u{10F0B};
var \u{10F0C};
var \u{10F0D};
var \u{10F0E};
var \u{10F0F};
var \u{10F10};
var \u{10F11};
var \u{10F12};
var \u{10F13};
var \u{10F14};
var \u{10F15};
var \u{10F16};
var \u{10F17};
var \u{10F18};
var \u{10F19};
var \u{10F1A};
var \u{10F1B};
var \u{10F1C};
var \u{10F27};
var \u{10F30};
var \u{10F31};
var \u{10F32};
var \u{10F33};
var \u{10F34};
var \u{10F35};
var \u{10F36};
var \u{10F37};
var \u{10F38};
var \u{10F39};
var \u{10F3A};
var \u{10F3B};
var \u{10F3C};
var \u{10F3D};
var \u{10F3E};
var \u{10F3F};
var \u{10F40};
var \u{10F41};
var \u{10F42};
var \u{10F43};
var \u{10F44};
var \u{10F45};
var \u{11144};
var \u{1171A};
var \u{11800};
var \u{11801};
var \u{11802};
var \u{11803};
var \u{11804};
var \u{11805};
var \u{11806};
var \u{11807};
var \u{11808};
var \u{11809};
var \u{1180A};
var \u{1180B};
var \u{1180C};
var \u{1180D};
var \u{1180E};
var \u{1180F};
var \u{11810};
var \u{11811};
var \u{11812};
var \u{11813};
var \u{11814};
var \u{11815};
var \u{11816};
var \u{11817};
var \u{11818};
var \u{11819};
var \u{1181A};
var \u{1181B};
var \u{1181C};
var \u{1181D};
var \u{1181E};
var \u{1181F};
var \u{11820};
var \u{11821};
var \u{11822};
var \u{11823};
var \u{11824};
var \u{11825};
var \u{11826};
var \u{11827};
var \u{11828};
var \u{11829};
var \u{1182A};
var \u{1182B};
var \u{11A9D};
var \u{11D60};
var \u{11D61};
var \u{11D62};
var \u{11D63};
var \u{11D64};
var \u{11D65};
var \u{11D67};
var \u{11D68};
var \u{11D6A};
var \u{11D6B};
var \u{11D6C};
var \u{11D6D};
var \u{11D6E};
var \u{11D6F};
var \u{11D70};
var \u{11D71};
var \u{11D72};
var \u{11D73};
var \u{11D74};
var \u{11D75};
var \u{11D76};
var \u{11D77};
var \u{11D78};
var \u{11D79};
var \u{11D7A};
var \u{11D7B};
var \u{11D7C};
var \u{11D7D};
var \u{11D7E};
var \u{11D7F};
var \u{11D80};
var \u{11D81};
var \u{11D82};
var \u{11D83};
var \u{11D84};
var \u{11D85};
var \u{11D86};
var \u{11D87};
var \u{11D88};
var \u{11D89};
var \u{11D98};
var \u{11EE0};
var \u{11EE1};
var \u{11EE2};
var \u{11EE3};
var \u{11EE4};
var \u{11EE5};
var \u{11EE6};
var \u{11EE7};
var \u{11EE8};
var \u{11EE9};
var \u{11EEA};
var \u{11EEB};
var \u{11EEC};
var \u{11EED};
var \u{11EEE};
var \u{11EEF};
var \u{11EF0};
var \u{11EF1};
var \u{11EF2};
var \u{16E40};
var \u{16E41};
var \u{16E42};
var \u{16E43};
var \u{16E44};
var \u{16E45};
var \u{16E46};
var \u{16E47};
var \u{16E48};
var \u{16E49};
var \u{16E4A};
var \u{16E4B};
var \u{16E4C};
var \u{16E4D};
var \u{16E4E};
var \u{16E4F};
var \u{16E50};
var \u{16E51};
var \u{16E52};
var \u{16E53};
var \u{16E54};
var \u{16E55};
var \u{16E56};
var \u{16E57};
var \u{16E58};
var \u{16E59};
var \u{16E5A};
var \u{16E5B};
var \u{16E5C};
var \u{16E5D};
var \u{16E5E};
var \u{16E5F};
var \u{16E60};
var \u{16E61};
var \u{16E62};
var \u{16E63};
var \u{16E64};
var \u{16E65};
var \u{16E66};
var \u{16E67};
var \u{16E68};
var \u{16E69};
var \u{16E6A};
var \u{16E6B};
var \u{16E6C};
var \u{16E6D};
var \u{16E6E};
var \u{16E6F};
var \u{16E70};
var \u{16E71};
var \u{16E72};
var \u{16E73};
var \u{16E74};
var \u{16E75};
var \u{16E76};
var \u{16E77};
var \u{16E78};
var \u{16E79};
var \u{16E7A};
var \u{16E7B};
var \u{16E7C};
var \u{16E7D};
var \u{16E7E};
var \u{16E7F};
var \u{187ED};
var \u{187EE};
var \u{187EF};
var \u{187F0};
var \u{187F1};
