// Copyright 2024 Mathias Bynens. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
author: Mathias Bynens
esid: prod-PrivateIdentifier
description: |
  Test that Unicode v12.0.0 ID_Start characters are accepted as
  identifier start characters in escaped form, i.e.
  - \uXXXX or \u{XXXX} for BMP symbols
  - \u{XXXXXX} for astral symbols
  in private class fields.
info: |
  Generated by https://github.com/mathiasbynens/caniunicode
features: [class, class-fields-private]
---*/

class _ {
  #\u0E86;
  #\u0E89;
  #\u0E8C;
  #\u0E8E;
  #\u0E8F;
  #\u0E90;
  #\u0E91;
  #\u0E92;
  #\u0E93;
  #\u0E98;
  #\u0EA0;
  #\u0EA8;
  #\u0EA9;
  #\u0EAC;
  #\u1CF2;
  #\u1CF3;
  #\u1CFA;
  #\uA7BA;
  #\uA7BB;
  #\uA7BC;
  #\uA7BD;
  #\uA7BE;
  #\uA7BF;
  #\uA7C2;
  #\uA7C3;
  #\uA7C4;
  #\uA7C5;
  #\uA7C6;
  #\uAB66;
  #\uAB67;
  #\u{10FE0};
  #\u{10FE1};
  #\u{10FE2};
  #\u{10FE3};
  #\u{10FE4};
  #\u{10FE5};
  #\u{10FE6};
  #\u{10FE7};
  #\u{10FE8};
  #\u{10FE9};
  #\u{10FEA};
  #\u{10FEB};
  #\u{10FEC};
  #\u{10FED};
  #\u{10FEE};
  #\u{10FEF};
  #\u{10FF0};
  #\u{10FF1};
  #\u{10FF2};
  #\u{10FF3};
  #\u{10FF4};
  #\u{10FF5};
  #\u{10FF6};
  #\u{1145F};
  #\u{116B8};
  #\u{119A0};
  #\u{119A1};
  #\u{119A2};
  #\u{119A3};
  #\u{119A4};
  #\u{119A5};
  #\u{119A6};
  #\u{119A7};
  #\u{119AA};
  #\u{119AB};
  #\u{119AC};
  #\u{119AD};
  #\u{119AE};
  #\u{119AF};
  #\u{119B0};
  #\u{119B1};
  #\u{119B2};
  #\u{119B3};
  #\u{119B4};
  #\u{119B5};
  #\u{119B6};
  #\u{119B7};
  #\u{119B8};
  #\u{119B9};
  #\u{119BA};
  #\u{119BB};
  #\u{119BC};
  #\u{119BD};
  #\u{119BE};
  #\u{119BF};
  #\u{119C0};
  #\u{119C1};
  #\u{119C2};
  #\u{119C3};
  #\u{119C4};
  #\u{119C5};
  #\u{119C6};
  #\u{119C7};
  #\u{119C8};
  #\u{119C9};
  #\u{119CA};
  #\u{119CB};
  #\u{119CC};
  #\u{119CD};
  #\u{119CE};
  #\u{119CF};
  #\u{119D0};
  #\u{119E1};
  #\u{119E3};
  #\u{11A84};
  #\u{11A85};
  #\u{16F45};
  #\u{16F46};
  #\u{16F47};
  #\u{16F48};
  #\u{16F49};
  #\u{16F4A};
  #\u{16FE3};
  #\u{187F2};
  #\u{187F3};
  #\u{187F4};
  #\u{187F5};
  #\u{187F6};
  #\u{187F7};
  #\u{1B150};
  #\u{1B151};
  #\u{1B152};
  #\u{1B164};
  #\u{1B165};
  #\u{1B166};
  #\u{1B167};
  #\u{1E100};
  #\u{1E101};
  #\u{1E102};
  #\u{1E103};
  #\u{1E104};
  #\u{1E105};
  #\u{1E106};
  #\u{1E107};
  #\u{1E108};
  #\u{1E109};
  #\u{1E10A};
  #\u{1E10B};
  #\u{1E10C};
  #\u{1E10D};
  #\u{1E10E};
  #\u{1E10F};
  #\u{1E110};
  #\u{1E111};
  #\u{1E112};
  #\u{1E113};
  #\u{1E114};
  #\u{1E115};
  #\u{1E116};
  #\u{1E117};
  #\u{1E118};
  #\u{1E119};
  #\u{1E11A};
  #\u{1E11B};
  #\u{1E11C};
  #\u{1E11D};
  #\u{1E11E};
  #\u{1E11F};
  #\u{1E120};
  #\u{1E121};
  #\u{1E122};
  #\u{1E123};
  #\u{1E124};
  #\u{1E125};
  #\u{1E126};
  #\u{1E127};
  #\u{1E128};
  #\u{1E129};
  #\u{1E12A};
  #\u{1E12B};
  #\u{1E12C};
  #\u{1E137};
  #\u{1E138};
  #\u{1E139};
  #\u{1E13A};
  #\u{1E13B};
  #\u{1E13C};
  #\u{1E13D};
  #\u{1E14E};
  #\u{1E2C0};
  #\u{1E2C1};
  #\u{1E2C2};
  #\u{1E2C3};
  #\u{1E2C4};
  #\u{1E2C5};
  #\u{1E2C6};
  #\u{1E2C7};
  #\u{1E2C8};
  #\u{1E2C9};
  #\u{1E2CA};
  #\u{1E2CB};
  #\u{1E2CC};
  #\u{1E2CD};
  #\u{1E2CE};
  #\u{1E2CF};
  #\u{1E2D0};
  #\u{1E2D1};
  #\u{1E2D2};
  #\u{1E2D3};
  #\u{1E2D4};
  #\u{1E2D5};
  #\u{1E2D6};
  #\u{1E2D7};
  #\u{1E2D8};
  #\u{1E2D9};
  #\u{1E2DA};
  #\u{1E2DB};
  #\u{1E2DC};
  #\u{1E2DD};
  #\u{1E2DE};
  #\u{1E2DF};
  #\u{1E2E0};
  #\u{1E2E1};
  #\u{1E2E2};
  #\u{1E2E3};
  #\u{1E2E4};
  #\u{1E2E5};
  #\u{1E2E6};
  #\u{1E2E7};
  #\u{1E2E8};
  #\u{1E2E9};
  #\u{1E2EA};
  #\u{1E2EB};
  #\u{1E94B};
};
