// Copyright 2024 Mathias Bynens. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
author: Mathias Bynens
esid: prod-PrivateIdentifier
description: |
  Test that Unicode v6.0.0 ID_Start characters are accepted as
  identifier start characters in private class fields.
info: |
  Generated by https://github.com/mathiasbynens/caniunicode
features: [class, class-fields-private]
---*/

class _ {
  #Ԧ;
  #ԧ;
  #ؠ;
  #ࡀ;
  #ࡁ;
  #ࡂ;
  #ࡃ;
  #ࡄ;
  #ࡅ;
  #ࡆ;
  #ࡇ;
  #ࡈ;
  #ࡉ;
  #ࡊ;
  #ࡋ;
  #ࡌ;
  #ࡍ;
  #ࡎ;
  #ࡏ;
  #ࡐ;
  #ࡑ;
  #ࡒ;
  #ࡓ;
  #ࡔ;
  #ࡕ;
  #ࡖ;
  #ࡗ;
  #ࡘ;
  #ॳ;
  #ॴ;
  #ॵ;
  #ॶ;
  #ॷ;
  #ೱ;
  #ೲ;
  #ഩ;
  #ഺ;
  #ൎ;
  #ྌ;
  #ᯀ;
  #ᯁ;
  #ᯂ;
  #ᯃ;
  #ᯄ;
  #ᯅ;
  #ᯆ;
  #ᯇ;
  #ᯈ;
  #ᯉ;
  #ᯊ;
  #ᯋ;
  #ᯌ;
  #ᯍ;
  #ᯎ;
  #ᯏ;
  #ᯐ;
  #ᯑ;
  #ᯒ;
  #ᯓ;
  #ᯔ;
  #ᯕ;
  #ᯖ;
  #ᯗ;
  #ᯘ;
  #ᯙ;
  #ᯚ;
  #ᯛ;
  #ᯜ;
  #ᯝ;
  #ᯞ;
  #ᯟ;
  #ᯠ;
  #ᯡ;
  #ᯢ;
  #ᯣ;
  #ᯤ;
  #ᯥ;
  #ₕ;
  #ₖ;
  #ₗ;
  #ₘ;
  #ₙ;
  #ₚ;
  #ₛ;
  #ₜ;
  #ㆸ;
  #ㆹ;
  #ㆺ;
  #Ꙡ;
  #ꙡ;
  #Ɥ;
  #ꞎ;
  #Ꞑ;
  #ꞑ;
  #Ꞡ;
  #ꞡ;
  #Ꞣ;
  #ꞣ;
  #Ꞥ;
  #ꞥ;
  #Ꞧ;
  #ꞧ;
  #Ꞩ;
  #ꞩ;
  #ꟺ;
  #ꬁ;
  #ꬂ;
  #ꬃ;
  #ꬄ;
  #ꬅ;
  #ꬆ;
  #ꬉ;
  #ꬊ;
  #ꬋ;
  #ꬌ;
  #ꬍ;
  #ꬎ;
  #ꬑ;
  #ꬒ;
  #ꬓ;
  #ꬔ;
  #ꬕ;
  #ꬖ;
  #ꬠ;
  #ꬡ;
  #ꬢ;
  #ꬣ;
  #ꬤ;
  #ꬥ;
  #ꬦ;
  #ꬨ;
  #ꬩ;
  #ꬪ;
  #ꬫ;
  #ꬬ;
  #ꬭ;
  #ꬮ;
  #𑀃;
  #𑀄;
  #𑀅;
  #𑀆;
  #𑀇;
  #𑀈;
  #𑀉;
  #𑀊;
  #𑀋;
  #𑀌;
  #𑀍;
  #𑀎;
  #𑀏;
  #𑀐;
  #𑀑;
  #𑀒;
  #𑀓;
  #𑀔;
  #𑀕;
  #𑀖;
  #𑀗;
  #𑀘;
  #𑀙;
  #𑀚;
  #𑀛;
  #𑀜;
  #𑀝;
  #𑀞;
  #𑀟;
  #𑀠;
  #𑀡;
  #𑀢;
  #𑀣;
  #𑀤;
  #𑀥;
  #𑀦;
  #𑀧;
  #𑀨;
  #𑀩;
  #𑀪;
  #𑀫;
  #𑀬;
  #𑀭;
  #𑀮;
  #𑀯;
  #𑀰;
  #𑀱;
  #𑀲;
  #𑀳;
  #𑀴;
  #𑀵;
  #𑀶;
  #𑀷;
  #𖠀;
  #𖠁;
  #𖠂;
  #𖠃;
  #𖠄;
  #𖠅;
  #𖠆;
  #𖠇;
  #𖠈;
  #𖠉;
  #𖠊;
  #𖠋;
  #𖠌;
  #𖠍;
  #𖠎;
  #𖠏;
  #𖠐;
  #𖠑;
  #𖠒;
  #𖠓;
  #𖠔;
  #𖠕;
  #𖠖;
  #𖠗;
  #𖠘;
  #𖠙;
  #𖠚;
  #𖠛;
  #𖠜;
  #𖠝;
  #𖠞;
  #𖠟;
  #𖠠;
  #𖠡;
  #𖠢;
  #𖠣;
  #𖠤;
  #𖠥;
  #𖠦;
  #𖠧;
  #𖠨;
  #𖠩;
  #𖠪;
  #𖠫;
  #𖠬;
  #𖠭;
  #𖠮;
  #𖠯;
  #𖠰;
  #𖠱;
  #𖠲;
  #𖠳;
  #𖠴;
  #𖠵;
  #𖠶;
  #𖠷;
  #𖠸;
  #𖠹;
  #𖠺;
  #𖠻;
  #𖠼;
  #𖠽;
  #𖠾;
  #𖠿;
  #𖡀;
  #𖡁;
  #𖡂;
  #𖡃;
  #𖡄;
  #𖡅;
  #𖡆;
  #𖡇;
  #𖡈;
  #𖡉;
  #𖡊;
  #𖡋;
  #𖡌;
  #𖡍;
  #𖡎;
  #𖡏;
  #𖡐;
  #𖡑;
  #𖡒;
  #𖡓;
  #𖡔;
  #𖡕;
  #𖡖;
  #𖡗;
  #𖡘;
  #𖡙;
  #𖡚;
  #𖡛;
  #𖡜;
  #𖡝;
  #𖡞;
  #𖡟;
  #𖡠;
  #𖡡;
  #𖡢;
  #𖡣;
  #𖡤;
  #𖡥;
  #𖡦;
  #𖡧;
  #𖡨;
  #𖡩;
  #𖡪;
  #𖡫;
  #𖡬;
  #𖡭;
  #𖡮;
  #𖡯;
  #𖡰;
  #𖡱;
  #𖡲;
  #𖡳;
  #𖡴;
  #𖡵;
  #𖡶;
  #𖡷;
  #𖡸;
  #𖡹;
  #𖡺;
  #𖡻;
  #𖡼;
  #𖡽;
  #𖡾;
  #𖡿;
  #𖢀;
  #𖢁;
  #𖢂;
  #𖢃;
  #𖢄;
  #𖢅;
  #𖢆;
  #𖢇;
  #𖢈;
  #𖢉;
  #𖢊;
  #𖢋;
  #𖢌;
  #𖢍;
  #𖢎;
  #𖢏;
  #𖢐;
  #𖢑;
  #𖢒;
  #𖢓;
  #𖢔;
  #𖢕;
  #𖢖;
  #𖢗;
  #𖢘;
  #𖢙;
  #𖢚;
  #𖢛;
  #𖢜;
  #𖢝;
  #𖢞;
  #𖢟;
  #𖢠;
  #𖢡;
  #𖢢;
  #𖢣;
  #𖢤;
  #𖢥;
  #𖢦;
  #𖢧;
  #𖢨;
  #𖢩;
  #𖢪;
  #𖢫;
  #𖢬;
  #𖢭;
  #𖢮;
  #𖢯;
  #𖢰;
  #𖢱;
  #𖢲;
  #𖢳;
  #𖢴;
  #𖢵;
  #𖢶;
  #𖢷;
  #𖢸;
  #𖢹;
  #𖢺;
  #𖢻;
  #𖢼;
  #𖢽;
  #𖢾;
  #𖢿;
  #𖣀;
  #𖣁;
  #𖣂;
  #𖣃;
  #𖣄;
  #𖣅;
  #𖣆;
  #𖣇;
  #𖣈;
  #𖣉;
  #𖣊;
  #𖣋;
  #𖣌;
  #𖣍;
  #𖣎;
  #𖣏;
  #𖣐;
  #𖣑;
  #𖣒;
  #𖣓;
  #𖣔;
  #𖣕;
  #𖣖;
  #𖣗;
  #𖣘;
  #𖣙;
  #𖣚;
  #𖣛;
  #𖣜;
  #𖣝;
  #𖣞;
  #𖣟;
  #𖣠;
  #𖣡;
  #𖣢;
  #𖣣;
  #𖣤;
  #𖣥;
  #𖣦;
  #𖣧;
  #𖣨;
  #𖣩;
  #𖣪;
  #𖣫;
  #𖣬;
  #𖣭;
  #𖣮;
  #𖣯;
  #𖣰;
  #𖣱;
  #𖣲;
  #𖣳;
  #𖣴;
  #𖣵;
  #𖣶;
  #𖣷;
  #𖣸;
  #𖣹;
  #𖣺;
  #𖣻;
  #𖣼;
  #𖣽;
  #𖣾;
  #𖣿;
  #𖤀;
  #𖤁;
  #𖤂;
  #𖤃;
  #𖤄;
  #𖤅;
  #𖤆;
  #𖤇;
  #𖤈;
  #𖤉;
  #𖤊;
  #𖤋;
  #𖤌;
  #𖤍;
  #𖤎;
  #𖤏;
  #𖤐;
  #𖤑;
  #𖤒;
  #𖤓;
  #𖤔;
  #𖤕;
  #𖤖;
  #𖤗;
  #𖤘;
  #𖤙;
  #𖤚;
  #𖤛;
  #𖤜;
  #𖤝;
  #𖤞;
  #𖤟;
  #𖤠;
  #𖤡;
  #𖤢;
  #𖤣;
  #𖤤;
  #𖤥;
  #𖤦;
  #𖤧;
  #𖤨;
  #𖤩;
  #𖤪;
  #𖤫;
  #𖤬;
  #𖤭;
  #𖤮;
  #𖤯;
  #𖤰;
  #𖤱;
  #𖤲;
  #𖤳;
  #𖤴;
  #𖤵;
  #𖤶;
  #𖤷;
  #𖤸;
  #𖤹;
  #𖤺;
  #𖤻;
  #𖤼;
  #𖤽;
  #𖤾;
  #𖤿;
  #𖥀;
  #𖥁;
  #𖥂;
  #𖥃;
  #𖥄;
  #𖥅;
  #𖥆;
  #𖥇;
  #𖥈;
  #𖥉;
  #𖥊;
  #𖥋;
  #𖥌;
  #𖥍;
  #𖥎;
  #𖥏;
  #𖥐;
  #𖥑;
  #𖥒;
  #𖥓;
  #𖥔;
  #𖥕;
  #𖥖;
  #𖥗;
  #𖥘;
  #𖥙;
  #𖥚;
  #𖥛;
  #𖥜;
  #𖥝;
  #𖥞;
  #𖥟;
  #𖥠;
  #𖥡;
  #𖥢;
  #𖥣;
  #𖥤;
  #𖥥;
  #𖥦;
  #𖥧;
  #𖥨;
  #𖥩;
  #𖥪;
  #𖥫;
  #𖥬;
  #𖥭;
  #𖥮;
  #𖥯;
  #𖥰;
  #𖥱;
  #𖥲;
  #𖥳;
  #𖥴;
  #𖥵;
  #𖥶;
  #𖥷;
  #𖥸;
  #𖥹;
  #𖥺;
  #𖥻;
  #𖥼;
  #𖥽;
  #𖥾;
  #𖥿;
  #𖦀;
  #𖦁;
  #𖦂;
  #𖦃;
  #𖦄;
  #𖦅;
  #𖦆;
  #𖦇;
  #𖦈;
  #𖦉;
  #𖦊;
  #𖦋;
  #𖦌;
  #𖦍;
  #𖦎;
  #𖦏;
  #𖦐;
  #𖦑;
  #𖦒;
  #𖦓;
  #𖦔;
  #𖦕;
  #𖦖;
  #𖦗;
  #𖦘;
  #𖦙;
  #𖦚;
  #𖦛;
  #𖦜;
  #𖦝;
  #𖦞;
  #𖦟;
  #𖦠;
  #𖦡;
  #𖦢;
  #𖦣;
  #𖦤;
  #𖦥;
  #𖦦;
  #𖦧;
  #𖦨;
  #𖦩;
  #𖦪;
  #𖦫;
  #𖦬;
  #𖦭;
  #𖦮;
  #𖦯;
  #𖦰;
  #𖦱;
  #𖦲;
  #𖦳;
  #𖦴;
  #𖦵;
  #𖦶;
  #𖦷;
  #𖦸;
  #𖦹;
  #𖦺;
  #𖦻;
  #𖦼;
  #𖦽;
  #𖦾;
  #𖦿;
  #𖧀;
  #𖧁;
  #𖧂;
  #𖧃;
  #𖧄;
  #𖧅;
  #𖧆;
  #𖧇;
  #𖧈;
  #𖧉;
  #𖧊;
  #𖧋;
  #𖧌;
  #𖧍;
  #𖧎;
  #𖧏;
  #𖧐;
  #𖧑;
  #𖧒;
  #𖧓;
  #𖧔;
  #𖧕;
  #𖧖;
  #𖧗;
  #𖧘;
  #𖧙;
  #𖧚;
  #𖧛;
  #𖧜;
  #𖧝;
  #𖧞;
  #𖧟;
  #𖧠;
  #𖧡;
  #𖧢;
  #𖧣;
  #𖧤;
  #𖧥;
  #𖧦;
  #𖧧;
  #𖧨;
  #𖧩;
  #𖧪;
  #𖧫;
  #𖧬;
  #𖧭;
  #𖧮;
  #𖧯;
  #𖧰;
  #𖧱;
  #𖧲;
  #𖧳;
  #𖧴;
  #𖧵;
  #𖧶;
  #𖧷;
  #𖧸;
  #𖧹;
  #𖧺;
  #𖧻;
  #𖧼;
  #𖧽;
  #𖧾;
  #𖧿;
  #𖨀;
  #𖨁;
  #𖨂;
  #𖨃;
  #𖨄;
  #𖨅;
  #𖨆;
  #𖨇;
  #𖨈;
  #𖨉;
  #𖨊;
  #𖨋;
  #𖨌;
  #𖨍;
  #𖨎;
  #𖨏;
  #𖨐;
  #𖨑;
  #𖨒;
  #𖨓;
  #𖨔;
  #𖨕;
  #𖨖;
  #𖨗;
  #𖨘;
  #𖨙;
  #𖨚;
  #𖨛;
  #𖨜;
  #𖨝;
  #𖨞;
  #𖨟;
  #𖨠;
  #𖨡;
  #𖨢;
  #𖨣;
  #𖨤;
  #𖨥;
  #𖨦;
  #𖨧;
  #𖨨;
  #𖨩;
  #𖨪;
  #𖨫;
  #𖨬;
  #𖨭;
  #𖨮;
  #𖨯;
  #𖨰;
  #𖨱;
  #𖨲;
  #𖨳;
  #𖨴;
  #𖨵;
  #𖨶;
  #𖨷;
  #𖨸;
  #𛀀;
  #𛀁;
  #𫝀;
  #𫝁;
  #𫝂;
  #𫝃;
  #𫝄;
  #𫝅;
  #𫝆;
  #𫝇;
  #𫝈;
  #𫝉;
  #𫝊;
  #𫝋;
  #𫝌;
  #𫝍;
  #𫝎;
  #𫝏;
  #𫝐;
  #𫝑;
  #𫝒;
  #𫝓;
  #𫝔;
  #𫝕;
  #𫝖;
  #𫝗;
  #𫝘;
  #𫝙;
  #𫝚;
  #𫝛;
  #𫝜;
  #𫝝;
  #𫝞;
  #𫝟;
  #𫝠;
  #𫝡;
  #𫝢;
  #𫝣;
  #𫝤;
  #𫝥;
  #𫝦;
  #𫝧;
  #𫝨;
  #𫝩;
  #𫝪;
  #𫝫;
  #𫝬;
  #𫝭;
  #𫝮;
  #𫝯;
  #𫝰;
  #𫝱;
  #𫝲;
  #𫝳;
  #𫝴;
  #𫝵;
  #𫝶;
  #𫝷;
  #𫝸;
  #𫝹;
  #𫝺;
  #𫝻;
  #𫝼;
  #𫝽;
  #𫝾;
  #𫝿;
  #𫞀;
  #𫞁;
  #𫞂;
  #𫞃;
  #𫞄;
  #𫞅;
  #𫞆;
  #𫞇;
  #𫞈;
  #𫞉;
  #𫞊;
  #𫞋;
  #𫞌;
  #𫞍;
  #𫞎;
  #𫞏;
  #𫞐;
  #𫞑;
  #𫞒;
  #𫞓;
  #𫞔;
  #𫞕;
  #𫞖;
  #𫞗;
  #𫞘;
  #𫞙;
  #𫞚;
  #𫞛;
  #𫞜;
  #𫞝;
  #𫞞;
  #𫞟;
  #𫞠;
  #𫞡;
  #𫞢;
  #𫞣;
  #𫞤;
  #𫞥;
  #𫞦;
  #𫞧;
  #𫞨;
  #𫞩;
  #𫞪;
  #𫞫;
  #𫞬;
  #𫞭;
  #𫞮;
  #𫞯;
  #𫞰;
  #𫞱;
  #𫞲;
  #𫞳;
  #𫞴;
  #𫞵;
  #𫞶;
  #𫞷;
  #𫞸;
  #𫞹;
  #𫞺;
  #𫞻;
  #𫞼;
  #𫞽;
  #𫞾;
  #𫞿;
  #𫟀;
  #𫟁;
  #𫟂;
  #𫟃;
  #𫟄;
  #𫟅;
  #𫟆;
  #𫟇;
  #𫟈;
  #𫟉;
  #𫟊;
  #𫟋;
  #𫟌;
  #𫟍;
  #𫟎;
  #𫟏;
  #𫟐;
  #𫟑;
  #𫟒;
  #𫟓;
  #𫟔;
  #𫟕;
  #𫟖;
  #𫟗;
  #𫟘;
  #𫟙;
  #𫟚;
  #𫟛;
  #𫟜;
  #𫟝;
  #𫟞;
  #𫟟;
  #𫟠;
  #𫟡;
  #𫟢;
  #𫟣;
  #𫟤;
  #𫟥;
  #𫟦;
  #𫟧;
  #𫟨;
  #𫟩;
  #𫟪;
  #𫟫;
  #𫟬;
  #𫟭;
  #𫟮;
  #𫟯;
  #𫟰;
  #𫟱;
  #𫟲;
  #𫟳;
  #𫟴;
  #𫟵;
  #𫟶;
  #𫟷;
  #𫟸;
  #𫟹;
  #𫟺;
  #𫟻;
  #𫟼;
  #𫟽;
  #𫟾;
  #𫟿;
  #𫠀;
  #𫠁;
  #𫠂;
  #𫠃;
  #𫠄;
  #𫠅;
  #𫠆;
  #𫠇;
  #𫠈;
  #𫠉;
  #𫠊;
  #𫠋;
  #𫠌;
  #𫠍;
  #𫠎;
  #𫠏;
  #𫠐;
  #𫠑;
  #𫠒;
  #𫠓;
  #𫠔;
  #𫠕;
  #𫠖;
  #𫠗;
  #𫠘;
  #𫠙;
  #𫠚;
  #𫠛;
  #𫠜;
  #𫠝;
};
