// Copyright 2024 Mathias Bynens. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
author: Mathias Bynens
esid: sec-names-and-keywords
description: |
  Test that Unicode v6.1.0 ID_Start characters are accepted as
  identifier start characters in escaped form, i.e.
  - \uXXXX or \u{XXXX} for BMP symbols
  - \u{XXXXXX} for astral symbols
info: |
  Generated by https://github.com/mathiasbynens/caniunicode
---*/

var \u08A0;
var \u08A2;
var \u08A3;
var \u08A4;
var \u08A5;
var \u08A6;
var \u08A7;
var \u08A8;
var \u08A9;
var \u08AA;
var \u08AB;
var \u08AC;
var \u0EDE;
var \u0EDF;
var \u10C7;
var \u10CD;
var \u10FD;
var \u10FE;
var \u10FF;
var \u1BBA;
var \u1BBB;
var \u1BBC;
var \u1BBD;
var \u1BBE;
var \u1BBF;
var \u1CF5;
var \u1CF6;
var \u2CF2;
var \u2CF3;
var \u2D27;
var \u2D2D;
var \u2D66;
var \u2D67;
var \u9FCC;
var \uA792;
var \uA793;
var \uA7AA;
var \uA7F8;
var \uA7F9;
var \uAAE0;
var \uAAE1;
var \uAAE2;
var \uAAE3;
var \uAAE4;
var \uAAE5;
var \uAAE6;
var \uAAE7;
var \uAAE8;
var \uAAE9;
var \uAAEA;
var \uAAF2;
var \uAAF3;
var \uAAF4;
var \uFA2E;
var \uFA2F;
var \u{10980};
var \u{10981};
var \u{10982};
var \u{10983};
var \u{10984};
var \u{10985};
var \u{10986};
var \u{10987};
var \u{10988};
var \u{10989};
var \u{1098A};
var \u{1098B};
var \u{1098C};
var \u{1098D};
var \u{1098E};
var \u{1098F};
var \u{10990};
var \u{10991};
var \u{10992};
var \u{10993};
var \u{10994};
var \u{10995};
var \u{10996};
var \u{10997};
var \u{10998};
var \u{10999};
var \u{1099A};
var \u{1099B};
var \u{1099C};
var \u{1099D};
var \u{1099E};
var \u{1099F};
var \u{109A0};
var \u{109A1};
var \u{109A2};
var \u{109A3};
var \u{109A4};
var \u{109A5};
var \u{109A6};
var \u{109A7};
var \u{109A8};
var \u{109A9};
var \u{109AA};
var \u{109AB};
var \u{109AC};
var \u{109AD};
var \u{109AE};
var \u{109AF};
var \u{109B0};
var \u{109B1};
var \u{109B2};
var \u{109B3};
var \u{109B4};
var \u{109B5};
var \u{109B6};
var \u{109B7};
var \u{109BE};
var \u{109BF};
var \u{110D0};
var \u{110D1};
var \u{110D2};
var \u{110D3};
var \u{110D4};
var \u{110D5};
var \u{110D6};
var \u{110D7};
var \u{110D8};
var \u{110D9};
var \u{110DA};
var \u{110DB};
var \u{110DC};
var \u{110DD};
var \u{110DE};
var \u{110DF};
var \u{110E0};
var \u{110E1};
var \u{110E2};
var \u{110E3};
var \u{110E4};
var \u{110E5};
var \u{110E6};
var \u{110E7};
var \u{110E8};
var \u{11103};
var \u{11104};
var \u{11105};
var \u{11106};
var \u{11107};
var \u{11108};
var \u{11109};
var \u{1110A};
var \u{1110B};
var \u{1110C};
var \u{1110D};
var \u{1110E};
var \u{1110F};
var \u{11110};
var \u{11111};
var \u{11112};
var \u{11113};
var \u{11114};
var \u{11115};
var \u{11116};
var \u{11117};
var \u{11118};
var \u{11119};
var \u{1111A};
var \u{1111B};
var \u{1111C};
var \u{1111D};
var \u{1111E};
var \u{1111F};
var \u{11120};
var \u{11121};
var \u{11122};
var \u{11123};
var \u{11124};
var \u{11125};
var \u{11126};
var \u{11183};
var \u{11184};
var \u{11185};
var \u{11186};
var \u{11187};
var \u{11188};
var \u{11189};
var \u{1118A};
var \u{1118B};
var \u{1118C};
var \u{1118D};
var \u{1118E};
var \u{1118F};
var \u{11190};
var \u{11191};
var \u{11192};
var \u{11193};
var \u{11194};
var \u{11195};
var \u{11196};
var \u{11197};
var \u{11198};
var \u{11199};
var \u{1119A};
var \u{1119B};
var \u{1119C};
var \u{1119D};
var \u{1119E};
var \u{1119F};
var \u{111A0};
var \u{111A1};
var \u{111A2};
var \u{111A3};
var \u{111A4};
var \u{111A5};
var \u{111A6};
var \u{111A7};
var \u{111A8};
var \u{111A9};
var \u{111AA};
var \u{111AB};
var \u{111AC};
var \u{111AD};
var \u{111AE};
var \u{111AF};
var \u{111B0};
var \u{111B1};
var \u{111B2};
var \u{111C1};
var \u{111C2};
var \u{111C3};
var \u{111C4};
var \u{11680};
var \u{11681};
var \u{11682};
var \u{11683};
var \u{11684};
var \u{11685};
var \u{11686};
var \u{11687};
var \u{11688};
var \u{11689};
var \u{1168A};
var \u{1168B};
var \u{1168C};
var \u{1168D};
var \u{1168E};
var \u{1168F};
var \u{11690};
var \u{11691};
var \u{11692};
var \u{11693};
var \u{11694};
var \u{11695};
var \u{11696};
var \u{11697};
var \u{11698};
var \u{11699};
var \u{1169A};
var \u{1169B};
var \u{1169C};
var \u{1169D};
var \u{1169E};
var \u{1169F};
var \u{116A0};
var \u{116A1};
var \u{116A2};
var \u{116A3};
var \u{116A4};
var \u{116A5};
var \u{116A6};
var \u{116A7};
var \u{116A8};
var \u{116A9};
var \u{116AA};
var \u{16F00};
var \u{16F01};
var \u{16F02};
var \u{16F03};
var \u{16F04};
var \u{16F05};
var \u{16F06};
var \u{16F07};
var \u{16F08};
var \u{16F09};
var \u{16F0A};
var \u{16F0B};
var \u{16F0C};
var \u{16F0D};
var \u{16F0E};
var \u{16F0F};
var \u{16F10};
var \u{16F11};
var \u{16F12};
var \u{16F13};
var \u{16F14};
var \u{16F15};
var \u{16F16};
var \u{16F17};
var \u{16F18};
var \u{16F19};
var \u{16F1A};
var \u{16F1B};
var \u{16F1C};
var \u{16F1D};
var \u{16F1E};
var \u{16F1F};
var \u{16F20};
var \u{16F21};
var \u{16F22};
var \u{16F23};
var \u{16F24};
var \u{16F25};
var \u{16F26};
var \u{16F27};
var \u{16F28};
var \u{16F29};
var \u{16F2A};
var \u{16F2B};
var \u{16F2C};
var \u{16F2D};
var \u{16F2E};
var \u{16F2F};
var \u{16F30};
var \u{16F31};
var \u{16F32};
var \u{16F33};
var \u{16F34};
var \u{16F35};
var \u{16F36};
var \u{16F37};
var \u{16F38};
var \u{16F39};
var \u{16F3A};
var \u{16F3B};
var \u{16F3C};
var \u{16F3D};
var \u{16F3E};
var \u{16F3F};
var \u{16F40};
var \u{16F41};
var \u{16F42};
var \u{16F43};
var \u{16F44};
var \u{16F50};
var \u{16F93};
var \u{16F94};
var \u{16F95};
var \u{16F96};
var \u{16F97};
var \u{16F98};
var \u{16F99};
var \u{16F9A};
var \u{16F9B};
var \u{16F9C};
var \u{16F9D};
var \u{16F9E};
var \u{16F9F};
var \u{1EE00};
var \u{1EE01};
var \u{1EE02};
var \u{1EE03};
var \u{1EE05};
var \u{1EE06};
var \u{1EE07};
var \u{1EE08};
var \u{1EE09};
var \u{1EE0A};
var \u{1EE0B};
var \u{1EE0C};
var \u{1EE0D};
var \u{1EE0E};
var \u{1EE0F};
var \u{1EE10};
var \u{1EE11};
var \u{1EE12};
var \u{1EE13};
var \u{1EE14};
var \u{1EE15};
var \u{1EE16};
var \u{1EE17};
var \u{1EE18};
var \u{1EE19};
var \u{1EE1A};
var \u{1EE1B};
var \u{1EE1C};
var \u{1EE1D};
var \u{1EE1E};
var \u{1EE1F};
var \u{1EE21};
var \u{1EE22};
var \u{1EE24};
var \u{1EE27};
var \u{1EE29};
var \u{1EE2A};
var \u{1EE2B};
var \u{1EE2C};
var \u{1EE2D};
var \u{1EE2E};
var \u{1EE2F};
var \u{1EE30};
var \u{1EE31};
var \u{1EE32};
var \u{1EE34};
var \u{1EE35};
var \u{1EE36};
var \u{1EE37};
var \u{1EE39};
var \u{1EE3B};
var \u{1EE42};
var \u{1EE47};
var \u{1EE49};
var \u{1EE4B};
var \u{1EE4D};
var \u{1EE4E};
var \u{1EE4F};
var \u{1EE51};
var \u{1EE52};
var \u{1EE54};
var \u{1EE57};
var \u{1EE59};
var \u{1EE5B};
var \u{1EE5D};
var \u{1EE5F};
var \u{1EE61};
var \u{1EE62};
var \u{1EE64};
var \u{1EE67};
var \u{1EE68};
var \u{1EE69};
var \u{1EE6A};
var \u{1EE6C};
var \u{1EE6D};
var \u{1EE6E};
var \u{1EE6F};
var \u{1EE70};
var \u{1EE71};
var \u{1EE72};
var \u{1EE74};
var \u{1EE75};
var \u{1EE76};
var \u{1EE77};
var \u{1EE79};
var \u{1EE7A};
var \u{1EE7B};
var \u{1EE7C};
var \u{1EE7E};
var \u{1EE80};
var \u{1EE81};
var \u{1EE82};
var \u{1EE83};
var \u{1EE84};
var \u{1EE85};
var \u{1EE86};
var \u{1EE87};
var \u{1EE88};
var \u{1EE89};
var \u{1EE8B};
var \u{1EE8C};
var \u{1EE8D};
var \u{1EE8E};
var \u{1EE8F};
var \u{1EE90};
var \u{1EE91};
var \u{1EE92};
var \u{1EE93};
var \u{1EE94};
var \u{1EE95};
var \u{1EE96};
var \u{1EE97};
var \u{1EE98};
var \u{1EE99};
var \u{1EE9A};
var \u{1EE9B};
var \u{1EEA1};
var \u{1EEA2};
var \u{1EEA3};
var \u{1EEA5};
var \u{1EEA6};
var \u{1EEA7};
var \u{1EEA8};
var \u{1EEA9};
var \u{1EEAB};
var \u{1EEAC};
var \u{1EEAD};
var \u{1EEAE};
var \u{1EEAF};
var \u{1EEB0};
var \u{1EEB1};
var \u{1EEB2};
var \u{1EEB3};
var \u{1EEB4};
var \u{1EEB5};
var \u{1EEB6};
var \u{1EEB7};
var \u{1EEB8};
var \u{1EEB9};
var \u{1EEBA};
var \u{1EEBB};
