// Copyright 2024 Mathias Bynens. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
author: Mathias Bynens
esid: sec-names-and-keywords
description: |
  Test that Unicode v7.0.0 ID_Start characters are accepted as
  identifier start characters in escaped form, i.e.
  - \uXXXX or \u{XXXX} for BMP symbols
  - \u{XXXXXX} for astral symbols
info: |
  Generated by https://github.com/mathiasbynens/caniunicode
---*/

var \u037F;
var \u0528;
var \u0529;
var \u052A;
var \u052B;
var \u052C;
var \u052D;
var \u052E;
var \u052F;
var \u08A1;
var \u08AD;
var \u08AE;
var \u08AF;
var \u08B0;
var \u08B1;
var \u08B2;
var \u0978;
var \u0980;
var \u0C34;
var \u16F1;
var \u16F2;
var \u16F3;
var \u16F4;
var \u16F5;
var \u16F6;
var \u16F7;
var \u16F8;
var \u191D;
var \u191E;
var \uA698;
var \uA699;
var \uA69A;
var \uA69B;
var \uA69C;
var \uA69D;
var \uA794;
var \uA795;
var \uA796;
var \uA797;
var \uA798;
var \uA799;
var \uA79A;
var \uA79B;
var \uA79C;
var \uA79D;
var \uA79E;
var \uA79F;
var \uA7AB;
var \uA7AC;
var \uA7AD;
var \uA7B0;
var \uA7B1;
var \uA7F7;
var \uA9E0;
var \uA9E1;
var \uA9E2;
var \uA9E3;
var \uA9E4;
var \uA9E6;
var \uA9E7;
var \uA9E8;
var \uA9E9;
var \uA9EA;
var \uA9EB;
var \uA9EC;
var \uA9ED;
var \uA9EE;
var \uA9EF;
var \uA9FA;
var \uA9FB;
var \uA9FC;
var \uA9FD;
var \uA9FE;
var \uAA7E;
var \uAA7F;
var \uAB30;
var \uAB31;
var \uAB32;
var \uAB33;
var \uAB34;
var \uAB35;
var \uAB36;
var \uAB37;
var \uAB38;
var \uAB39;
var \uAB3A;
var \uAB3B;
var \uAB3C;
var \uAB3D;
var \uAB3E;
var \uAB3F;
var \uAB40;
var \uAB41;
var \uAB42;
var \uAB43;
var \uAB44;
var \uAB45;
var \uAB46;
var \uAB47;
var \uAB48;
var \uAB49;
var \uAB4A;
var \uAB4B;
var \uAB4C;
var \uAB4D;
var \uAB4E;
var \uAB4F;
var \uAB50;
var \uAB51;
var \uAB52;
var \uAB53;
var \uAB54;
var \uAB55;
var \uAB56;
var \uAB57;
var \uAB58;
var \uAB59;
var \uAB5A;
var \uAB5C;
var \uAB5D;
var \uAB5E;
var \uAB5F;
var \uAB64;
var \uAB65;
var \u{1031F};
var \u{10350};
var \u{10351};
var \u{10352};
var \u{10353};
var \u{10354};
var \u{10355};
var \u{10356};
var \u{10357};
var \u{10358};
var \u{10359};
var \u{1035A};
var \u{1035B};
var \u{1035C};
var \u{1035D};
var \u{1035E};
var \u{1035F};
var \u{10360};
var \u{10361};
var \u{10362};
var \u{10363};
var \u{10364};
var \u{10365};
var \u{10366};
var \u{10367};
var \u{10368};
var \u{10369};
var \u{1036A};
var \u{1036B};
var \u{1036C};
var \u{1036D};
var \u{1036E};
var \u{1036F};
var \u{10370};
var \u{10371};
var \u{10372};
var \u{10373};
var \u{10374};
var \u{10375};
var \u{10500};
var \u{10501};
var \u{10502};
var \u{10503};
var \u{10504};
var \u{10505};
var \u{10506};
var \u{10507};
var \u{10508};
var \u{10509};
var \u{1050A};
var \u{1050B};
var \u{1050C};
var \u{1050D};
var \u{1050E};
var \u{1050F};
var \u{10510};
var \u{10511};
var \u{10512};
var \u{10513};
var \u{10514};
var \u{10515};
var \u{10516};
var \u{10517};
var \u{10518};
var \u{10519};
var \u{1051A};
var \u{1051B};
var \u{1051C};
var \u{1051D};
var \u{1051E};
var \u{1051F};
var \u{10520};
var \u{10521};
var \u{10522};
var \u{10523};
var \u{10524};
var \u{10525};
var \u{10526};
var \u{10527};
var \u{10530};
var \u{10531};
var \u{10532};
var \u{10533};
var \u{10534};
var \u{10535};
var \u{10536};
var \u{10537};
var \u{10538};
var \u{10539};
var \u{1053A};
var \u{1053B};
var \u{1053C};
var \u{1053D};
var \u{1053E};
var \u{1053F};
var \u{10540};
var \u{10541};
var \u{10542};
var \u{10543};
var \u{10544};
var \u{10545};
var \u{10546};
var \u{10547};
var \u{10548};
var \u{10549};
var \u{1054A};
var \u{1054B};
var \u{1054C};
var \u{1054D};
var \u{1054E};
var \u{1054F};
var \u{10550};
var \u{10551};
var \u{10552};
var \u{10553};
var \u{10554};
var \u{10555};
var \u{10556};
var \u{10557};
var \u{10558};
var \u{10559};
var \u{1055A};
var \u{1055B};
var \u{1055C};
var \u{1055D};
var \u{1055E};
var \u{1055F};
var \u{10560};
var \u{10561};
var \u{10562};
var \u{10563};
var \u{10600};
var \u{10601};
var \u{10602};
var \u{10603};
var \u{10604};
var \u{10605};
var \u{10606};
var \u{10607};
var \u{10608};
var \u{10609};
var \u{1060A};
var \u{1060B};
var \u{1060C};
var \u{1060D};
var \u{1060E};
var \u{1060F};
var \u{10610};
var \u{10611};
var \u{10612};
var \u{10613};
var \u{10614};
var \u{10615};
var \u{10616};
var \u{10617};
var \u{10618};
var \u{10619};
var \u{1061A};
var \u{1061B};
var \u{1061C};
var \u{1061D};
var \u{1061E};
var \u{1061F};
var \u{10620};
var \u{10621};
var \u{10622};
var \u{10623};
var \u{10624};
var \u{10625};
var \u{10626};
var \u{10627};
var \u{10628};
var \u{10629};
var \u{1062A};
var \u{1062B};
var \u{1062C};
var \u{1062D};
var \u{1062E};
var \u{1062F};
var \u{10630};
var \u{10631};
var \u{10632};
var \u{10633};
var \u{10634};
var \u{10635};
var \u{10636};
var \u{10637};
var \u{10638};
var \u{10639};
var \u{1063A};
var \u{1063B};
var \u{1063C};
var \u{1063D};
var \u{1063E};
var \u{1063F};
var \u{10640};
var \u{10641};
var \u{10642};
var \u{10643};
var \u{10644};
var \u{10645};
var \u{10646};
var \u{10647};
var \u{10648};
var \u{10649};
var \u{1064A};
var \u{1064B};
var \u{1064C};
var \u{1064D};
var \u{1064E};
var \u{1064F};
var \u{10650};
var \u{10651};
var \u{10652};
var \u{10653};
var \u{10654};
var \u{10655};
var \u{10656};
var \u{10657};
var \u{10658};
var \u{10659};
var \u{1065A};
var \u{1065B};
var \u{1065C};
var \u{1065D};
var \u{1065E};
var \u{1065F};
var \u{10660};
var \u{10661};
var \u{10662};
var \u{10663};
var \u{10664};
var \u{10665};
var \u{10666};
var \u{10667};
var \u{10668};
var \u{10669};
var \u{1066A};
var \u{1066B};
var \u{1066C};
var \u{1066D};
var \u{1066E};
var \u{1066F};
var \u{10670};
var \u{10671};
var \u{10672};
var \u{10673};
var \u{10674};
var \u{10675};
var \u{10676};
var \u{10677};
var \u{10678};
var \u{10679};
var \u{1067A};
var \u{1067B};
var \u{1067C};
var \u{1067D};
var \u{1067E};
var \u{1067F};
var \u{10680};
var \u{10681};
var \u{10682};
var \u{10683};
var \u{10684};
var \u{10685};
var \u{10686};
var \u{10687};
var \u{10688};
var \u{10689};
var \u{1068A};
var \u{1068B};
var \u{1068C};
var \u{1068D};
var \u{1068E};
var \u{1068F};
var \u{10690};
var \u{10691};
var \u{10692};
var \u{10693};
var \u{10694};
var \u{10695};
var \u{10696};
var \u{10697};
var \u{10698};
var \u{10699};
var \u{1069A};
var \u{1069B};
var \u{1069C};
var \u{1069D};
var \u{1069E};
var \u{1069F};
var \u{106A0};
var \u{106A1};
var \u{106A2};
var \u{106A3};
var \u{106A4};
var \u{106A5};
var \u{106A6};
var \u{106A7};
var \u{106A8};
var \u{106A9};
var \u{106AA};
var \u{106AB};
var \u{106AC};
var \u{106AD};
var \u{106AE};
var \u{106AF};
var \u{106B0};
var \u{106B1};
var \u{106B2};
var \u{106B3};
var \u{106B4};
var \u{106B5};
var \u{106B6};
var \u{106B7};
var \u{106B8};
var \u{106B9};
var \u{106BA};
var \u{106BB};
var \u{106BC};
var \u{106BD};
var \u{106BE};
var \u{106BF};
var \u{106C0};
var \u{106C1};
var \u{106C2};
var \u{106C3};
var \u{106C4};
var \u{106C5};
var \u{106C6};
var \u{106C7};
var \u{106C8};
var \u{106C9};
var \u{106CA};
var \u{106CB};
var \u{106CC};
var \u{106CD};
var \u{106CE};
var \u{106CF};
var \u{106D0};
var \u{106D1};
var \u{106D2};
var \u{106D3};
var \u{106D4};
var \u{106D5};
var \u{106D6};
var \u{106D7};
var \u{106D8};
var \u{106D9};
var \u{106DA};
var \u{106DB};
var \u{106DC};
var \u{106DD};
var \u{106DE};
var \u{106DF};
var \u{106E0};
var \u{106E1};
var \u{106E2};
var \u{106E3};
var \u{106E4};
var \u{106E5};
var \u{106E6};
var \u{106E7};
var \u{106E8};
var \u{106E9};
var \u{106EA};
var \u{106EB};
var \u{106EC};
var \u{106ED};
var \u{106EE};
var \u{106EF};
var \u{106F0};
var \u{106F1};
var \u{106F2};
var \u{106F3};
var \u{106F4};
var \u{106F5};
var \u{106F6};
var \u{106F7};
var \u{106F8};
var \u{106F9};
var \u{106FA};
var \u{106FB};
var \u{106FC};
var \u{106FD};
var \u{106FE};
var \u{106FF};
var \u{10700};
var \u{10701};
var \u{10702};
var \u{10703};
var \u{10704};
var \u{10705};
var \u{10706};
var \u{10707};
var \u{10708};
var \u{10709};
var \u{1070A};
var \u{1070B};
var \u{1070C};
var \u{1070D};
var \u{1070E};
var \u{1070F};
var \u{10710};
var \u{10711};
var \u{10712};
var \u{10713};
var \u{10714};
var \u{10715};
var \u{10716};
var \u{10717};
var \u{10718};
var \u{10719};
var \u{1071A};
var \u{1071B};
var \u{1071C};
var \u{1071D};
var \u{1071E};
var \u{1071F};
var \u{10720};
var \u{10721};
var \u{10722};
var \u{10723};
var \u{10724};
var \u{10725};
var \u{10726};
var \u{10727};
var \u{10728};
var \u{10729};
var \u{1072A};
var \u{1072B};
var \u{1072C};
var \u{1072D};
var \u{1072E};
var \u{1072F};
var \u{10730};
var \u{10731};
var \u{10732};
var \u{10733};
var \u{10734};
var \u{10735};
var \u{10736};
var \u{10740};
var \u{10741};
var \u{10742};
var \u{10743};
var \u{10744};
var \u{10745};
var \u{10746};
var \u{10747};
var \u{10748};
var \u{10749};
var \u{1074A};
var \u{1074B};
var \u{1074C};
var \u{1074D};
var \u{1074E};
var \u{1074F};
var \u{10750};
var \u{10751};
var \u{10752};
var \u{10753};
var \u{10754};
var \u{10755};
var \u{10760};
var \u{10761};
var \u{10762};
var \u{10763};
var \u{10764};
var \u{10765};
var \u{10766};
var \u{10767};
var \u{10860};
var \u{10861};
var \u{10862};
var \u{10863};
var \u{10864};
var \u{10865};
var \u{10866};
var \u{10867};
var \u{10868};
var \u{10869};
var \u{1086A};
var \u{1086B};
var \u{1086C};
var \u{1086D};
var \u{1086E};
var \u{1086F};
var \u{10870};
var \u{10871};
var \u{10872};
var \u{10873};
var \u{10874};
var \u{10875};
var \u{10876};
var \u{10880};
var \u{10881};
var \u{10882};
var \u{10883};
var \u{10884};
var \u{10885};
var \u{10886};
var \u{10887};
var \u{10888};
var \u{10889};
var \u{1088A};
var \u{1088B};
var \u{1088C};
var \u{1088D};
var \u{1088E};
var \u{1088F};
var \u{10890};
var \u{10891};
var \u{10892};
var \u{10893};
var \u{10894};
var \u{10895};
var \u{10896};
var \u{10897};
var \u{10898};
var \u{10899};
var \u{1089A};
var \u{1089B};
var \u{1089C};
var \u{1089D};
var \u{1089E};
var \u{10A80};
var \u{10A81};
var \u{10A82};
var \u{10A83};
var \u{10A84};
var \u{10A85};
var \u{10A86};
var \u{10A87};
var \u{10A88};
var \u{10A89};
var \u{10A8A};
var \u{10A8B};
var \u{10A8C};
var \u{10A8D};
var \u{10A8E};
var \u{10A8F};
var \u{10A90};
var \u{10A91};
var \u{10A92};
var \u{10A93};
var \u{10A94};
var \u{10A95};
var \u{10A96};
var \u{10A97};
var \u{10A98};
var \u{10A99};
var \u{10A9A};
var \u{10A9B};
var \u{10A9C};
var \u{10AC0};
var \u{10AC1};
var \u{10AC2};
var \u{10AC3};
var \u{10AC4};
var \u{10AC5};
var \u{10AC6};
var \u{10AC7};
var \u{10AC9};
var \u{10ACA};
var \u{10ACB};
var \u{10ACC};
var \u{10ACD};
var \u{10ACE};
var \u{10ACF};
var \u{10AD0};
var \u{10AD1};
var \u{10AD2};
var \u{10AD3};
var \u{10AD4};
var \u{10AD5};
var \u{10AD6};
var \u{10AD7};
var \u{10AD8};
var \u{10AD9};
var \u{10ADA};
var \u{10ADB};
var \u{10ADC};
var \u{10ADD};
var \u{10ADE};
var \u{10ADF};
var \u{10AE0};
var \u{10AE1};
var \u{10AE2};
var \u{10AE3};
var \u{10AE4};
var \u{10B80};
var \u{10B81};
var \u{10B82};
var \u{10B83};
var \u{10B84};
var \u{10B85};
var \u{10B86};
var \u{10B87};
var \u{10B88};
var \u{10B89};
var \u{10B8A};
var \u{10B8B};
var \u{10B8C};
var \u{10B8D};
var \u{10B8E};
var \u{10B8F};
var \u{10B90};
var \u{10B91};
var \u{11150};
var \u{11151};
var \u{11152};
var \u{11153};
var \u{11154};
var \u{11155};
var \u{11156};
var \u{11157};
var \u{11158};
var \u{11159};
var \u{1115A};
var \u{1115B};
var \u{1115C};
var \u{1115D};
var \u{1115E};
var \u{1115F};
var \u{11160};
var \u{11161};
var \u{11162};
var \u{11163};
var \u{11164};
var \u{11165};
var \u{11166};
var \u{11167};
var \u{11168};
var \u{11169};
var \u{1116A};
var \u{1116B};
var \u{1116C};
var \u{1116D};
var \u{1116E};
var \u{1116F};
var \u{11170};
var \u{11171};
var \u{11172};
var \u{11176};
var \u{111DA};
var \u{11200};
var \u{11201};
var \u{11202};
var \u{11203};
var \u{11204};
var \u{11205};
var \u{11206};
var \u{11207};
var \u{11208};
var \u{11209};
var \u{1120A};
var \u{1120B};
var \u{1120C};
var \u{1120D};
var \u{1120E};
var \u{1120F};
var \u{11210};
var \u{11211};
var \u{11213};
var \u{11214};
var \u{11215};
var \u{11216};
var \u{11217};
var \u{11218};
var \u{11219};
var \u{1121A};
var \u{1121B};
var \u{1121C};
var \u{1121D};
var \u{1121E};
var \u{1121F};
var \u{11220};
var \u{11221};
var \u{11222};
var \u{11223};
var \u{11224};
var \u{11225};
var \u{11226};
var \u{11227};
var \u{11228};
var \u{11229};
var \u{1122A};
var \u{1122B};
var \u{112B0};
var \u{112B1};
var \u{112B2};
var \u{112B3};
var \u{112B4};
var \u{112B5};
var \u{112B6};
var \u{112B7};
var \u{112B8};
var \u{112B9};
var \u{112BA};
var \u{112BB};
var \u{112BC};
var \u{112BD};
var \u{112BE};
var \u{112BF};
var \u{112C0};
var \u{112C1};
var \u{112C2};
var \u{112C3};
var \u{112C4};
var \u{112C5};
var \u{112C6};
var \u{112C7};
var \u{112C8};
var \u{112C9};
var \u{112CA};
var \u{112CB};
var \u{112CC};
var \u{112CD};
var \u{112CE};
var \u{112CF};
var \u{112D0};
var \u{112D1};
var \u{112D2};
var \u{112D3};
var \u{112D4};
var \u{112D5};
var \u{112D6};
var \u{112D7};
var \u{112D8};
var \u{112D9};
var \u{112DA};
var \u{112DB};
var \u{112DC};
var \u{112DD};
var \u{112DE};
var \u{11305};
var \u{11306};
var \u{11307};
var \u{11308};
var \u{11309};
var \u{1130A};
var \u{1130B};
var \u{1130C};
var \u{1130F};
var \u{11310};
var \u{11313};
var \u{11314};
var \u{11315};
var \u{11316};
var \u{11317};
var \u{11318};
var \u{11319};
var \u{1131A};
var \u{1131B};
var \u{1131C};
var \u{1131D};
var \u{1131E};
var \u{1131F};
var \u{11320};
var \u{11321};
var \u{11322};
var \u{11323};
var \u{11324};
var \u{11325};
var \u{11326};
var \u{11327};
var \u{11328};
var \u{1132A};
var \u{1132B};
var \u{1132C};
var \u{1132D};
var \u{1132E};
var \u{1132F};
var \u{11330};
var \u{11332};
var \u{11333};
var \u{11335};
var \u{11336};
var \u{11337};
var \u{11338};
var \u{11339};
var \u{1133D};
var \u{1135D};
var \u{1135E};
var \u{1135F};
var \u{11360};
var \u{11361};
var \u{11480};
var \u{11481};
var \u{11482};
var \u{11483};
var \u{11484};
var \u{11485};
var \u{11486};
var \u{11487};
var \u{11488};
var \u{11489};
var \u{1148A};
var \u{1148B};
var \u{1148C};
var \u{1148D};
var \u{1148E};
var \u{1148F};
var \u{11490};
var \u{11491};
var \u{11492};
var \u{11493};
var \u{11494};
var \u{11495};
var \u{11496};
var \u{11497};
var \u{11498};
var \u{11499};
var \u{1149A};
var \u{1149B};
var \u{1149C};
var \u{1149D};
var \u{1149E};
var \u{1149F};
var \u{114A0};
var \u{114A1};
var \u{114A2};
var \u{114A3};
var \u{114A4};
var \u{114A5};
var \u{114A6};
var \u{114A7};
var \u{114A8};
var \u{114A9};
var \u{114AA};
var \u{114AB};
var \u{114AC};
var \u{114AD};
var \u{114AE};
var \u{114AF};
var \u{114C4};
var \u{114C5};
var \u{114C7};
var \u{11580};
var \u{11581};
var \u{11582};
var \u{11583};
var \u{11584};
var \u{11585};
var \u{11586};
var \u{11587};
var \u{11588};
var \u{11589};
var \u{1158A};
var \u{1158B};
var \u{1158C};
var \u{1158D};
var \u{1158E};
var \u{1158F};
var \u{11590};
var \u{11591};
var \u{11592};
var \u{11593};
var \u{11594};
var \u{11595};
var \u{11596};
var \u{11597};
var \u{11598};
var \u{11599};
var \u{1159A};
var \u{1159B};
var \u{1159C};
var \u{1159D};
var \u{1159E};
var \u{1159F};
var \u{115A0};
var \u{115A1};
var \u{115A2};
var \u{115A3};
var \u{115A4};
var \u{115A5};
var \u{115A6};
var \u{115A7};
var \u{115A8};
var \u{115A9};
var \u{115AA};
var \u{115AB};
var \u{115AC};
var \u{115AD};
var \u{115AE};
var \u{11600};
var \u{11601};
var \u{11602};
var \u{11603};
var \u{11604};
var \u{11605};
var \u{11606};
var \u{11607};
var \u{11608};
var \u{11609};
var \u{1160A};
var \u{1160B};
var \u{1160C};
var \u{1160D};
var \u{1160E};
var \u{1160F};
var \u{11610};
var \u{11611};
var \u{11612};
var \u{11613};
var \u{11614};
var \u{11615};
var \u{11616};
var \u{11617};
var \u{11618};
var \u{11619};
var \u{1161A};
var \u{1161B};
var \u{1161C};
var \u{1161D};
var \u{1161E};
var \u{1161F};
var \u{11620};
var \u{11621};
var \u{11622};
var \u{11623};
var \u{11624};
var \u{11625};
var \u{11626};
var \u{11627};
var \u{11628};
var \u{11629};
var \u{1162A};
var \u{1162B};
var \u{1162C};
var \u{1162D};
var \u{1162E};
var \u{1162F};
var \u{11644};
var \u{118A0};
var \u{118A1};
var \u{118A2};
var \u{118A3};
var \u{118A4};
var \u{118A5};
var \u{118A6};
var \u{118A7};
var \u{118A8};
var \u{118A9};
var \u{118AA};
var \u{118AB};
var \u{118AC};
var \u{118AD};
var \u{118AE};
var \u{118AF};
var \u{118B0};
var \u{118B1};
var \u{118B2};
var \u{118B3};
var \u{118B4};
var \u{118B5};
var \u{118B6};
var \u{118B7};
var \u{118B8};
var \u{118B9};
var \u{118BA};
var \u{118BB};
var \u{118BC};
var \u{118BD};
var \u{118BE};
var \u{118BF};
var \u{118C0};
var \u{118C1};
var \u{118C2};
var \u{118C3};
var \u{118C4};
var \u{118C5};
var \u{118C6};
var \u{118C7};
var \u{118C8};
var \u{118C9};
var \u{118CA};
var \u{118CB};
var \u{118CC};
var \u{118CD};
var \u{118CE};
var \u{118CF};
var \u{118D0};
var \u{118D1};
var \u{118D2};
var \u{118D3};
var \u{118D4};
var \u{118D5};
var \u{118D6};
var \u{118D7};
var \u{118D8};
var \u{118D9};
var \u{118DA};
var \u{118DB};
var \u{118DC};
var \u{118DD};
var \u{118DE};
var \u{118DF};
var \u{118FF};
var \u{11AC0};
var \u{11AC1};
var \u{11AC2};
var \u{11AC3};
var \u{11AC4};
var \u{11AC5};
var \u{11AC6};
var \u{11AC7};
var \u{11AC8};
var \u{11AC9};
var \u{11ACA};
var \u{11ACB};
var \u{11ACC};
var \u{11ACD};
var \u{11ACE};
var \u{11ACF};
var \u{11AD0};
var \u{11AD1};
var \u{11AD2};
var \u{11AD3};
var \u{11AD4};
var \u{11AD5};
var \u{11AD6};
var \u{11AD7};
var \u{11AD8};
var \u{11AD9};
var \u{11ADA};
var \u{11ADB};
var \u{11ADC};
var \u{11ADD};
var \u{11ADE};
var \u{11ADF};
var \u{11AE0};
var \u{11AE1};
var \u{11AE2};
var \u{11AE3};
var \u{11AE4};
var \u{11AE5};
var \u{11AE6};
var \u{11AE7};
var \u{11AE8};
var \u{11AE9};
var \u{11AEA};
var \u{11AEB};
var \u{11AEC};
var \u{11AED};
var \u{11AEE};
var \u{11AEF};
var \u{11AF0};
var \u{11AF1};
var \u{11AF2};
var \u{11AF3};
var \u{11AF4};
var \u{11AF5};
var \u{11AF6};
var \u{11AF7};
var \u{11AF8};
var \u{1236F};
var \u{12370};
var \u{12371};
var \u{12372};
var \u{12373};
var \u{12374};
var \u{12375};
var \u{12376};
var \u{12377};
var \u{12378};
var \u{12379};
var \u{1237A};
var \u{1237B};
var \u{1237C};
var \u{1237D};
var \u{1237E};
var \u{1237F};
var \u{12380};
var \u{12381};
var \u{12382};
var \u{12383};
var \u{12384};
var \u{12385};
var \u{12386};
var \u{12387};
var \u{12388};
var \u{12389};
var \u{1238A};
var \u{1238B};
var \u{1238C};
var \u{1238D};
var \u{1238E};
var \u{1238F};
var \u{12390};
var \u{12391};
var \u{12392};
var \u{12393};
var \u{12394};
var \u{12395};
var \u{12396};
var \u{12397};
var \u{12398};
var \u{12463};
var \u{12464};
var \u{12465};
var \u{12466};
var \u{12467};
var \u{12468};
var \u{12469};
var \u{1246A};
var \u{1246B};
var \u{1246C};
var \u{1246D};
var \u{1246E};
var \u{16A40};
var \u{16A41};
var \u{16A42};
var \u{16A43};
var \u{16A44};
var \u{16A45};
var \u{16A46};
var \u{16A47};
var \u{16A48};
var \u{16A49};
var \u{16A4A};
var \u{16A4B};
var \u{16A4C};
var \u{16A4D};
var \u{16A4E};
var \u{16A4F};
var \u{16A50};
var \u{16A51};
var \u{16A52};
var \u{16A53};
var \u{16A54};
var \u{16A55};
var \u{16A56};
var \u{16A57};
var \u{16A58};
var \u{16A59};
var \u{16A5A};
var \u{16A5B};
var \u{16A5C};
var \u{16A5D};
var \u{16A5E};
var \u{16AD0};
var \u{16AD1};
var \u{16AD2};
var \u{16AD3};
var \u{16AD4};
var \u{16AD5};
var \u{16AD6};
var \u{16AD7};
var \u{16AD8};
var \u{16AD9};
var \u{16ADA};
var \u{16ADB};
var \u{16ADC};
var \u{16ADD};
var \u{16ADE};
var \u{16ADF};
var \u{16AE0};
var \u{16AE1};
var \u{16AE2};
var \u{16AE3};
var \u{16AE4};
var \u{16AE5};
var \u{16AE6};
var \u{16AE7};
var \u{16AE8};
var \u{16AE9};
var \u{16AEA};
var \u{16AEB};
var \u{16AEC};
var \u{16AED};
var \u{16B00};
var \u{16B01};
var \u{16B02};
var \u{16B03};
var \u{16B04};
var \u{16B05};
var \u{16B06};
var \u{16B07};
var \u{16B08};
var \u{16B09};
var \u{16B0A};
var \u{16B0B};
var \u{16B0C};
var \u{16B0D};
var \u{16B0E};
var \u{16B0F};
var \u{16B10};
var \u{16B11};
var \u{16B12};
var \u{16B13};
var \u{16B14};
var \u{16B15};
var \u{16B16};
var \u{16B17};
var \u{16B18};
var \u{16B19};
var \u{16B1A};
var \u{16B1B};
var \u{16B1C};
var \u{16B1D};
var \u{16B1E};
var \u{16B1F};
var \u{16B20};
var \u{16B21};
var \u{16B22};
var \u{16B23};
var \u{16B24};
var \u{16B25};
var \u{16B26};
var \u{16B27};
var \u{16B28};
var \u{16B29};
var \u{16B2A};
var \u{16B2B};
var \u{16B2C};
var \u{16B2D};
var \u{16B2E};
var \u{16B2F};
var \u{16B40};
var \u{16B41};
var \u{16B42};
var \u{16B43};
var \u{16B63};
var \u{16B64};
var \u{16B65};
var \u{16B66};
var \u{16B67};
var \u{16B68};
var \u{16B69};
var \u{16B6A};
var \u{16B6B};
var \u{16B6C};
var \u{16B6D};
var \u{16B6E};
var \u{16B6F};
var \u{16B70};
var \u{16B71};
var \u{16B72};
var \u{16B73};
var \u{16B74};
var \u{16B75};
var \u{16B76};
var \u{16B77};
var \u{16B7D};
var \u{16B7E};
var \u{16B7F};
var \u{16B80};
var \u{16B81};
var \u{16B82};
var \u{16B83};
var \u{16B84};
var \u{16B85};
var \u{16B86};
var \u{16B87};
var \u{16B88};
var \u{16B89};
var \u{16B8A};
var \u{16B8B};
var \u{16B8C};
var \u{16B8D};
var \u{16B8E};
var \u{16B8F};
var \u{1BC00};
var \u{1BC01};
var \u{1BC02};
var \u{1BC03};
var \u{1BC04};
var \u{1BC05};
var \u{1BC06};
var \u{1BC07};
var \u{1BC08};
var \u{1BC09};
var \u{1BC0A};
var \u{1BC0B};
var \u{1BC0C};
var \u{1BC0D};
var \u{1BC0E};
var \u{1BC0F};
var \u{1BC10};
var \u{1BC11};
var \u{1BC12};
var \u{1BC13};
var \u{1BC14};
var \u{1BC15};
var \u{1BC16};
var \u{1BC17};
var \u{1BC18};
var \u{1BC19};
var \u{1BC1A};
var \u{1BC1B};
var \u{1BC1C};
var \u{1BC1D};
var \u{1BC1E};
var \u{1BC1F};
var \u{1BC20};
var \u{1BC21};
var \u{1BC22};
var \u{1BC23};
var \u{1BC24};
var \u{1BC25};
var \u{1BC26};
var \u{1BC27};
var \u{1BC28};
var \u{1BC29};
var \u{1BC2A};
var \u{1BC2B};
var \u{1BC2C};
var \u{1BC2D};
var \u{1BC2E};
var \u{1BC2F};
var \u{1BC30};
var \u{1BC31};
var \u{1BC32};
var \u{1BC33};
var \u{1BC34};
var \u{1BC35};
var \u{1BC36};
var \u{1BC37};
var \u{1BC38};
var \u{1BC39};
var \u{1BC3A};
var \u{1BC3B};
var \u{1BC3C};
var \u{1BC3D};
var \u{1BC3E};
var \u{1BC3F};
var \u{1BC40};
var \u{1BC41};
var \u{1BC42};
var \u{1BC43};
var \u{1BC44};
var \u{1BC45};
var \u{1BC46};
var \u{1BC47};
var \u{1BC48};
var \u{1BC49};
var \u{1BC4A};
var \u{1BC4B};
var \u{1BC4C};
var \u{1BC4D};
var \u{1BC4E};
var \u{1BC4F};
var \u{1BC50};
var \u{1BC51};
var \u{1BC52};
var \u{1BC53};
var \u{1BC54};
var \u{1BC55};
var \u{1BC56};
var \u{1BC57};
var \u{1BC58};
var \u{1BC59};
var \u{1BC5A};
var \u{1BC5B};
var \u{1BC5C};
var \u{1BC5D};
var \u{1BC5E};
var \u{1BC5F};
var \u{1BC60};
var \u{1BC61};
var \u{1BC62};
var \u{1BC63};
var \u{1BC64};
var \u{1BC65};
var \u{1BC66};
var \u{1BC67};
var \u{1BC68};
var \u{1BC69};
var \u{1BC6A};
var \u{1BC70};
var \u{1BC71};
var \u{1BC72};
var \u{1BC73};
var \u{1BC74};
var \u{1BC75};
var \u{1BC76};
var \u{1BC77};
var \u{1BC78};
var \u{1BC79};
var \u{1BC7A};
var \u{1BC7B};
var \u{1BC7C};
var \u{1BC80};
var \u{1BC81};
var \u{1BC82};
var \u{1BC83};
var \u{1BC84};
var \u{1BC85};
var \u{1BC86};
var \u{1BC87};
var \u{1BC88};
var \u{1BC90};
var \u{1BC91};
var \u{1BC92};
var \u{1BC93};
var \u{1BC94};
var \u{1BC95};
var \u{1BC96};
var \u{1BC97};
var \u{1BC98};
var \u{1BC99};
var \u{1E800};
var \u{1E801};
var \u{1E802};
var \u{1E803};
var \u{1E804};
var \u{1E805};
var \u{1E806};
var \u{1E807};
var \u{1E808};
var \u{1E809};
var \u{1E80A};
var \u{1E80B};
var \u{1E80C};
var \u{1E80D};
var \u{1E80E};
var \u{1E80F};
var \u{1E810};
var \u{1E811};
var \u{1E812};
var \u{1E813};
var \u{1E814};
var \u{1E815};
var \u{1E816};
var \u{1E817};
var \u{1E818};
var \u{1E819};
var \u{1E81A};
var \u{1E81B};
var \u{1E81C};
var \u{1E81D};
var \u{1E81E};
var \u{1E81F};
var \u{1E820};
var \u{1E821};
var \u{1E822};
var \u{1E823};
var \u{1E824};
var \u{1E825};
var \u{1E826};
var \u{1E827};
var \u{1E828};
var \u{1E829};
var \u{1E82A};
var \u{1E82B};
var \u{1E82C};
var \u{1E82D};
var \u{1E82E};
var \u{1E82F};
var \u{1E830};
var \u{1E831};
var \u{1E832};
var \u{1E833};
var \u{1E834};
var \u{1E835};
var \u{1E836};
var \u{1E837};
var \u{1E838};
var \u{1E839};
var \u{1E83A};
var \u{1E83B};
var \u{1E83C};
var \u{1E83D};
var \u{1E83E};
var \u{1E83F};
var \u{1E840};
var \u{1E841};
var \u{1E842};
var \u{1E843};
var \u{1E844};
var \u{1E845};
var \u{1E846};
var \u{1E847};
var \u{1E848};
var \u{1E849};
var \u{1E84A};
var \u{1E84B};
var \u{1E84C};
var \u{1E84D};
var \u{1E84E};
var \u{1E84F};
var \u{1E850};
var \u{1E851};
var \u{1E852};
var \u{1E853};
var \u{1E854};
var \u{1E855};
var \u{1E856};
var \u{1E857};
var \u{1E858};
var \u{1E859};
var \u{1E85A};
var \u{1E85B};
var \u{1E85C};
var \u{1E85D};
var \u{1E85E};
var \u{1E85F};
var \u{1E860};
var \u{1E861};
var \u{1E862};
var \u{1E863};
var \u{1E864};
var \u{1E865};
var \u{1E866};
var \u{1E867};
var \u{1E868};
var \u{1E869};
var \u{1E86A};
var \u{1E86B};
var \u{1E86C};
var \u{1E86D};
var \u{1E86E};
var \u{1E86F};
var \u{1E870};
var \u{1E871};
var \u{1E872};
var \u{1E873};
var \u{1E874};
var \u{1E875};
var \u{1E876};
var \u{1E877};
var \u{1E878};
var \u{1E879};
var \u{1E87A};
var \u{1E87B};
var \u{1E87C};
var \u{1E87D};
var \u{1E87E};
var \u{1E87F};
var \u{1E880};
var \u{1E881};
var \u{1E882};
var \u{1E883};
var \u{1E884};
var \u{1E885};
var \u{1E886};
var \u{1E887};
var \u{1E888};
var \u{1E889};
var \u{1E88A};
var \u{1E88B};
var \u{1E88C};
var \u{1E88D};
var \u{1E88E};
var \u{1E88F};
var \u{1E890};
var \u{1E891};
var \u{1E892};
var \u{1E893};
var \u{1E894};
var \u{1E895};
var \u{1E896};
var \u{1E897};
var \u{1E898};
var \u{1E899};
var \u{1E89A};
var \u{1E89B};
var \u{1E89C};
var \u{1E89D};
var \u{1E89E};
var \u{1E89F};
var \u{1E8A0};
var \u{1E8A1};
var \u{1E8A2};
var \u{1E8A3};
var \u{1E8A4};
var \u{1E8A5};
var \u{1E8A6};
var \u{1E8A7};
var \u{1E8A8};
var \u{1E8A9};
var \u{1E8AA};
var \u{1E8AB};
var \u{1E8AC};
var \u{1E8AD};
var \u{1E8AE};
var \u{1E8AF};
var \u{1E8B0};
var \u{1E8B1};
var \u{1E8B2};
var \u{1E8B3};
var \u{1E8B4};
var \u{1E8B5};
var \u{1E8B6};
var \u{1E8B7};
var \u{1E8B8};
var \u{1E8B9};
var \u{1E8BA};
var \u{1E8BB};
var \u{1E8BC};
var \u{1E8BD};
var \u{1E8BE};
var \u{1E8BF};
var \u{1E8C0};
var \u{1E8C1};
var \u{1E8C2};
var \u{1E8C3};
var \u{1E8C4};
